<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmVariableFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmVariableFlags Enumeration

Visual Basic
C#
C++/CLI
Flags that set the style of variables used in file and folder data cards. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmVariableFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmVariableFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmVariableFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmVar_Mandatory | 2 = Missing values are not permitted; only used for files, ignored for folders
EdmVar_Unique | 1 = Values of the variable must be unique; only used for files, ignored for folders
EdmVar_VerFreeUpdateAll | 4 = Every version and every revision, regardless access, workflow states etc., are affected by the variable update
EdmVar_VerFreeUpdateLatest | 8 = Only the latest version is affected by the variable update

# Remarks

Used in IEdmVariable5::Flags.

# See Also

####

EPDM.Interop.epdm Namespace